Subject: Re: Re* [PATCH v2] fixup! mergetool: add automerge configuration

From: "brian m. carlson" <[email-masked]>
Date: Fri, 22 Jan 2021 02:50:17 +0000

On 2021-01-16 at 04:24:54, Seth House wrote:
> On Sun, Jan 10, 2021 at 03:24:48AM -0800, Junio C Hamano wrote:
> > Note that with t7800 fixed with the patch, non Windows jobs all seem
> > to pass, but t7610 seems to have problem(s) on Windows.
> 
> The autocrlf test is breaking because the sed that ships with some mingw
> versions (and also some minsys and cygwin versions) will *automatically*
> remove carriage returns:
> 
> $ printf 'foo\r\nbar\r\n' | sed -e '/bar/d' | cat -A
> foo$
> 
> $ printf 'foo\r\nbar\r\n' | sed -b -e '/bar/d' | cat -A
> foo^M$
> 
> (Note: the -b flag above is just for comparison. We can't use it here.
> It's not in POSIX and is not present in sed for busybox or OSX.)

Can you report this as a bug?  This behavior isn't compliant with POSIX
and it makes it really hard for folks to write portable code if these
versions implement POSIX utilities in a nonstandard way.  As a
non-Windows user, I have no hope of writing code that works on Windows
if we can't rely on our standard utilities working properly.
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US